## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-storage
%global         forgeurl    https://github.com/googleapis/python-storage
Version:        1.43.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Storage

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
# Fix mock > unittest.mock. Made PRs to upstream and they are aware but not
# accepting patches for this right now.
Patch0:         python-google-cloud-storage-mock-fix.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Google Cloud Storage allows you to store data on Google infrastructure with
very high reliability, performance and availability, and can be used to
distribute large data objects to users via direct download.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%package -n python3-%{srcname}-doc
Requires:       python3-docs
BuildRequires:  python3-docs
BuildRequires:  python3dist(recommonmark)
BuildRequires:  python3dist(sphinx)
Summary:        Documentation for python-%{srcname}

%description -n python3-%{srcname}-doc
Documentation for python-%{srcname}


%prep
%forgeautosetup -p1

# Use local inventory in intersphinx mapping.
sed -r -i -e \
    's|https://docs.python.org/3|/%{_docdir}/python3-docs/html|' \
    docs/conf.py


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel

# Generate documentation.
PYTHONPATH="${PWD}:${PWD}/docs/" sphinx-build docs html %{?_smp_mflags}
rm -rf html/.{doctrees,buildinfo}


%install
%pyproject_install
%pyproject_save_files google


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_storage-%{version}-py%{python3_version}-nspkg.pth


%files -n python3-%{srcname}-doc
%license LICENSE
%doc html


%changelog
* mer. nov. 17 2021 Major Hayden <major@mhtx.net> 1.43.0-1
- Update to 1.43.0

* ven. oct. 01 2021 Major Hayden <major@mhtx.net> 1.42.3-2
- Remove python3-azure-sdk obsoletes from a bad copy/paste

* ven. oct. 01 2021 Major Hayden <major@mhtx.net> 1.42.3-1
- Update to 1.42.3

* ven. sept. 17 2021 Major Hayden <major@mhtx.net> 1.42.2-2
- Fix pytest/PEP 420 issue

* ven. sept. 17 2021 Major Hayden <major@mhtx.net> 1.42.2-1
- Update to 1.42.2

* jeu. sept. 09 2021 Major Hayden <major@mhtx.net> 1.42.1-2
- Move to rpmautospec

* mer. sept. 08 2021 Major Hayden <major@mhtx.net> 1.42.1-1
- Update to 1.42.1

* lun. août 23 2021 Major Hayden <major@mhtx.net> 1.42.0-2
- Disable UTC timezone test temporarily

* lun. août 23 2021 Major Hayden <major@mhtx.net> 1.42.0-1
- Update to 1.4.2

* lun. août 23 2021 Major Hayden <major@mhtx.net> 1.41.0-1
- Initial import (#1983181)
